MeiroDocs

Tags

+ Parameters

Section: Group Tags. Base URL: https://instance_name.meiro.io/api/.

Tags [/tags{?limit,offset,order_by,order_dir,name_filter,load_full_structure}]

List All Tags [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • name_filter (string, optional) - Tags' name filter
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "tags": [
        {
            "id": 100,
            "user_id": 200,
            "name": "example tag",
            "color": null,
            "modified": "2017-01-01 16:35:00",
            "created": "2017-01-01 15:35:00",
            "segments_count": 2
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "name_filter": null
    }
}

Create a Tag [POST]

Required feature (one of):

  • settings/tags

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Attributes

    • name: example tag (string)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "tag": {
        "id": 100,
        "user_id": 200,
        "name": "example tag",
        "color": null,
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Tag [/tags/{tag_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve a Tag [GET]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "tag": {
        "id": 100,
        "user_id": 200,
        "name": "example tag",
        "color": null,
        "modified": "2017-01-01 16:35:00",
        "created": "2017-01-01 15:35:00",
        "segments_count": 2
    }
}

Modify a Tag [PATCH]

Required feature (one of):

  • settings/tags

  • Attributes

    • name: example tag (string) - optional
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "tag": {
        "id": 100,
        "user_id": 200,
        "name": "example tag",
        "color": null,
        "modified": "2017-01-01 16:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Delete a Tag [DELETE]

Required feature (one of):

  • settings/tags

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

On this page